Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisDecodedInstructionRawMvex_ Struct Reference

Detailed info about the MVEX prefix. More...

`#include <DecoderTypes.h>`

## Data Fields
ZyanU8 | R
| Extension of the ModRM.reg field (inverted).
ZyanU8 | X
| Extension of the SIB.index/vidx field (inverted).
ZyanU8 | B
| Extension of the ModRM.rm or SIB.base field (inverted).
ZyanU8 | R2
| High-16 register specifier modifier (inverted).
ZyanU8 | mmmm
| Opcode-map specifier.
ZyanU8 | W
| 64-bit operand-size promotion or opcode-extension.
ZyanU8 | vvvv
| NDS/NDD (non-destructive-source/destination) register specifier (inverted).
ZyanU8 | pp
| Compressed legacy prefix.
ZyanU8 | E
| Non-temporal/eviction hint.
ZyanU8 | SSS
| Swizzle/broadcast/up-convert/down-convert/static-rounding controls.
ZyanU8 | V2
| High-16 NDS/VIDX register specifier.
ZyanU8 | kkk
| Embedded opmask register specifier.
ZyanU8 | offset
| The offset of the first mvex byte, relative to the beginning of the instruction, in bytes.

## Detailed Description

Detailed info about the MVEX prefix.

## Field Documentation

## ◆ B

ZyanU8 B

Extension of the ModRM.rm or SIB.base field (inverted).

## ◆ E

ZyanU8 E

Non-temporal/eviction hint.

## ◆ kkk

ZyanU8 kkk

Embedded opmask register specifier.

## ◆ mmmm

ZyanU8 mmmm

Opcode-map specifier.

## ◆ offset

ZyanU8 offset

The offset of the first mvex byte, relative to the beginning of the instruction, in bytes.

## ◆ pp

ZyanU8 pp

Compressed legacy prefix.

## ◆ R

ZyanU8 R

Extension of the ModRM.reg field (inverted).

## ◆ R2

ZyanU8 R2

High-16 register specifier modifier (inverted).

## ◆ SSS

ZyanU8 SSS

Swizzle/broadcast/up-convert/down-convert/static-rounding controls.

## ◆ V2

ZyanU8 V2

High-16 NDS/VIDX register specifier.

## ◆ vvvv

ZyanU8 vvvv

NDS/NDD (non-destructive-source/destination) register specifier (inverted).

## ◆ W

ZyanU8 W

64-bit operand-size promotion or opcode-extension.

## ◆ X

ZyanU8 X

Extension of the SIB.index/vidx field (inverted).

The documentation for this struct was generated from the following file:

- include/Zydis/DecoderTypes.h